#!/usr/bin/perl

use strict;

my $arg = shift;
my $arg_params = shift;

my $java = "$ENV{JAVA_HOME}/bin/java";
my $LAUNCHER_JRE = "org.apache.tools.ant.launch.Launcher";


sub get_ant_dir
{
	my @ant_run = split(/\//, $0);
	my $ant_run = "";

	my $counter = 0;
	while($counter < $#ant_run)
	{
		$ant_run .= $ant_run[$counter] . "/";
		$counter++;
	}
	if($ant_run eq "") #handles the case of "./<ant_loc>"
	{
		$ant_run = "./";
	}

	print "ant_run = $ant_run\n";
	return $ant_run;
}

sub ant_classpath
{
	my $ant_dir = shift;
	my $ant_class_path .= $ant_dir . "/jar/ant-launcher.jar";
	$ant_class_path .= ":" . $ant_dir . "/jar/ant.jar";
}

sub main
{
	my $ant_dir = get_ant_dir();
	my $ant_classpath = ant_classpath($ant_dir);
	my $ant_home = "-Dant.home=\"$ant_dir\"";
	my $classpath = $ENV{CLASSPATH};
	my $exec = "$java -classpath \"$ant_classpath\" -Dant.home=\"$ant_dir\" $LAUNCHER_JRE -lib \"$classpath\" $arg $arg_params";
	print "exec = $exec\n";
	system($exec);
}

main();
